Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002303SpeedFanOtherpublic2014-09-19 13:432015-01-25 12:38
Reporterjohnlodge 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformASUS running EUFIOSWindowsOS Version8.1
Product Version4.50 beta 
Target VersionFixed in Version4.51 beta 
Summary0002303: Actually 4.51 beta 2
DescriptionI have Intel Rapid storage running and have no problems.
What I noticed was that speedfan did not actually crash it destroyed or corrupted its visual desktop. Mostly white but there was some odd bits that were not.

So I was very carefull to ensure Speedfan opened up in a blank part of desktop not on top of objects such as File Explorer. Now no issues.

Also I have been running PWM to control 5 fans (one of which is actually a PWM pump.

It works fine and has been stressed by AIDA from an idle CPU package Power of 8.5Watts up to 60Watts. With temperatures up to about 55degrees C.

Some things are a bit odd though.
Steps To ReproduceI normally start speedfan with the task scheduler which means it does not really have access to the desktop nor does it appear in hidden icons list.
Additional Information-the hysteresis does not seem to work as well as for 4.49

-I find that for advanced fan control:
   -leave the PWM's in manual for, in this case NCT6779D, all 5 PWM's
   -do not tick variated
!!! Ticking "Automatic fan speed" on the mainpage seems to do it all.

!!!and changing manual to "smart fan IV" for all of the PWM's really confuses speedfan.

Incidentally both "thermal cruise" and "speed cruise" work.

TagsNo tags attached.
Motherboard ModelP8z77-WS
Video Card ModelASUS NVIDIA GeForce GTX 670
Attached Files

- Relationships

-  Notes
(0007577)
alfredo (manager)
2014-09-19 16:01

I must admit I didn't understand what issue is being reported here :-)
(0007584)
johnlodge (reporter)
2014-09-20 13:08

1. speedfan works properly in automatic speed control when the PWM modes are set to manual, setting the automatic speed control is enough and setting Smart fan IV in the PWM modes causes the fans to speed up fully.

2. The crashing I am seeing as speedfan is launched seems to be related to where it open on the desktop. If it opens over part of another object it is likely to crash or rather to blank out the desktop.

3. when it is launched by the task scheduler and does not have access to the desktop it does not crash

4. In the above state launched by the task scheduler with DOSCSISCAN and with the PWM modes manual. It works well with system load varied so the CPU Package Power varies from 8 to 70 Watts speedfan responds smoothly adjusting the fan speeds.
(0007586)
alfredo (manager)
2014-09-20 13:53

Thank you for the clarification.
1) Smart Fan IV gives fan control back to the hardware monitor chip and it will work according to how the BIOS set it up.
3) Great.
4) Great.
2) This is something I never heard before. What happens if you wait for a few minutes?
(0007587)
johnlodge (reporter)
2014-09-20 15:10

Here is how I installed:
1. let Windows uninstall
2. Deleted the speedfan install directory and along with it the remaining .cfg file
3. Installed speedfan 4.50
4. cut and paste the 4.51 beta2 executable

Here is how I set up
1. launched speedfan on the desktop taking care that there was nearly nothing on the desktop
2. skipped over to config/advanced/Nuvoton NCT6779D/ then checked that the PWM's were in manual if not put them in manual
3. then back to the first tag in config and remove the unnecessary temps so all I want to see are in the main subwindow; on to voltages and do the same
4. then speeds set variated
5. then fan control define the 5 controls and set up the curves I want.
6. Now to main and turn on Automatic fan speed. Nothing happens (I think).
7. Now back to config/advanced/Nuvoton to start setting the PWM's to Smart Fan IV.
/*************this is where it goes peculiar****************/
8. The first PWM is set and the relevant fan on main sees its percentage change so far it is ordinary, then the second PWM, that is OK too.
9. The third and all fans go flat out.
10. I go back and set all PWM's to manual and all slows down
11. I go back to Speeds and unset variated
12. I then realize that PWM is still controlling fan speeds
13. Thence to unset and reset Automatic fan speed in the main speedfan window.
14. It is here that I realize the neither the PWM setting in config/advanced/Nuvoton nor the variated settings in Speed do much.
15. The PWM settings can take the system to full speed.
16. Right now with all PWM's set manual and variated not set. The Autofanspeed alone determines whether auto PWM is working or not. And as I have said before running CPU load up and down causes the fans to speed up or slow down to cope with the higher or lower CPU temperatures.
17. In this state (with PWM speed control on) it will continue indefinitely.
18. I can switch over to launching from task scheduler with /DOSCSISCAN and it work fine.
19. It is far less fiddling to get it to work than with 4.99.
20. It comes back after sleep and after shutdown.
/********************************************************/
21. I am guessing that something weird is taking place with setting and reseting some of the parameters, some things are not being cleared. I have previously sent Info/Reports, the last one should be relevant to this state.

22. The issue with location of speedfan opening on the desktop is odd. I realize the system is not really crashing something like the memory space of the desktop image is being nearly completely blotted out. There are some faint shadows. The system still appears to be running but is quite uncommunicative.
The way I have chosen to get out is to do the hard reset on the computer followed by PSU off. This may mean that SCSISCAN may not be the culprit it seems. And of course when speedfan is started by the scheduler it does not have a desktop to communicate with. It shows in Task Manager as a Background task and does not surface as a hidden icon.

23. The other point I would make is that it is an encumberance not to have the Intel package temperature available. I watch my temperatures quite closely particularly when stress testing in AIDA in particular with only the short FPU loop the temperatures rapidly quite high and the Intel Package temp is always about one degree Celsius above the highest of the individual CPU Core temperatures. But of course is more stable as load fluctuates between the CPU's.
As well for each of the PWM's redefining each CPU over again with there individual curves could be less arduous and less work for the running speedfan.

*********************************************************************
As it is 4.51 beta 2 is my standard fan control and is permanently in the scheduled tasks.
Of course to make changes I have to End Task it in Task Manager and restart it on the desktop to make changes to it, but that is not an issue.
(0007595)
johnlodge (reporter)
2014-10-05 15:51

as of today 5th October it is still running fine after going through multiple sleeps, restarts and cold restarts.
(0007666)
johnlodge (reporter)
2014-12-30 14:29

I see from elsewhere that you have said that NCT6779D is not supported.
What that is saying, as I understand, is that the entire ASUS P8Z77 series of motherboards are not supported.
(0007684)
alfredo (manager)
2015-01-15 14:03

I own an Asus P8Z77-V LX and SpeedFan works fine on it.
(0007687)
johnlodge (reporter)
2015-01-15 14:39
edited on: 2015-01-15 17:05

Then is NCT6779D supported or not??
actually as documented,
my ASUS P8Z77 WS has also been rock solid stable since this issue was raised.
But the configuration settings are downright weird.

(0007691)
alfredo (manager)
2015-01-15 18:25

It is fully supported starting with SpeedFan 4.50.
(0007692)
johnlodge (reporter)
2015-01-16 01:05

Oops! then what does the resolution comment to 0002201 mean.
(0007694)
alfredo (manager)
2015-01-16 13:25

Which comment?
That issue is marked as "resolved in 4.50" and that is true :-)
(0007696)
johnlodge (reporter)
2015-01-16 17:26

The summary in issue 0002201 seems to suggest that NCT6779D is not supported. Perhaps I am reading it incorrectly.
(0007698)
alfredo (manager)
2015-01-16 18:42

Well... but a summary, almost by definition, contains the description of an issue. Once it is resolved, the issue is... resolved, but the summary remains :-)
(0007732)
johnlodge (reporter)
2015-01-24 03:12

4.51 beta 4
Working perfectly as before but only with PWM's set to manual.
As before stress testing with AIDA causes the fans to respond properly with no instability. Am not using any command line parameters now.

Have not yet seen any clashes.

I launch with Task scheduler as before and manually to change configuration settings
(0007741)
alfredo (manager)
2015-01-25 12:38

I confirm that PWM MODE might need to be set to MANUAL or SOFTWARE CONTROLLED, if not already done by the BIOS.

- Issue History
Date Modified Username Field Change
2014-09-19 13:43 johnlodge New Issue
2014-09-19 13:43 johnlodge Status new => assigned
2014-09-19 13:43 johnlodge Assigned To => alfredo
2014-09-19 16:01 alfredo Note Added: 0007577
2014-09-19 16:01 alfredo Status assigned => acknowledged
2014-09-20 13:08 johnlodge Note Added: 0007584
2014-09-20 13:53 alfredo Note Added: 0007586
2014-09-20 15:10 johnlodge Note Added: 0007587
2014-10-05 15:51 johnlodge Note Added: 0007595
2014-12-30 14:29 johnlodge Note Added: 0007666
2015-01-15 14:03 alfredo Note Added: 0007684
2015-01-15 14:39 johnlodge Note Added: 0007687
2015-01-15 17:05 johnlodge Note Edited: 0007687 View Revisions
2015-01-15 18:25 alfredo Note Added: 0007691
2015-01-16 01:05 johnlodge Note Added: 0007692
2015-01-16 13:25 alfredo Note Added: 0007694
2015-01-16 17:26 johnlodge Note Added: 0007696
2015-01-16 18:42 alfredo Note Added: 0007698
2015-01-24 03:12 johnlodge Note Added: 0007732
2015-01-25 12:38 alfredo Note Added: 0007741
2015-01-25 12:38 alfredo Status acknowledged => resolved
2015-01-25 12:38 alfredo Resolution open => fixed
2015-01-25 12:38 alfredo Fixed in Version => 4.51 beta
2016-12-21 20:01 09876ggddzz Issue cloned: 0002577


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3611 seconds.
memory usage: 8,147 KB
Powered by Mantis Bugtracker